summaryrefslogtreecommitdiffstats
path: root/package/base-files/default/sbin
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/default/sbin')
-rwxr-xr-xpackage/base-files/default/sbin/ifdown14
-rwxr-xr-xpackage/base-files/default/sbin/wifi12
2 files changed, 13 insertions, 13 deletions
diff --git a/package/base-files/default/sbin/ifdown b/package/base-files/default/sbin/ifdown
index 7debb9559..1334ee821 100755
--- a/package/base-files/default/sbin/ifdown
+++ b/package/base-files/default/sbin/ifdown
@@ -6,14 +6,14 @@
include network
scan_interfaces
-debug "### ifdown $type ###"
-type=$1
+cfg=$1
+debug "### ifdown $cfg ###"
-config_get proto "$type" proto
+config_get proto "$cfg" proto
[ -z "$proto" ] && { echo "interface not found."; exit; }
# kill active ppp daemon
-pid="$(cat /var/run/ppp-${type}.pid 2>/dev/null)"
+pid="$(cat /var/run/ppp-${cfg}.pid 2>/dev/null)"
[ -n "$pid" -a -d "/proc/$pid" ] && {
kill $pid
sleep 1
@@ -21,14 +21,14 @@ pid="$(cat /var/run/ppp-${type}.pid 2>/dev/null)"
}
# kill any other process associated with the interface
-config_get ifname "$type" ifname
+config_get ifname "$cfg" ifname
pid="$(cat /var/run/${ifname}.pid 2>/dev/null)"
[ -n "$pid" -a -d "/proc/$pid" ] && kill -9 $pid
-config_get ifname "$type" ifname
+config_get ifname "$cfg" ifname
ifconfig "$ifname" >/dev/null 2>/dev/null && {
ifconfig "$ifname" 0.0.0.0 down
- config_get iftype "$type" type
+ config_get iftype "$cfg" type
[ "$iftype" = "bridge" ] && brctl delbr "$ifname"
}
diff --git a/package/base-files/default/sbin/wifi b/package/base-files/default/sbin/wifi
index f1ac94fa3..b228eed8a 100755
--- a/package/base-files/default/sbin/wifi
+++ b/package/base-files/default/sbin/wifi
@@ -33,12 +33,12 @@ config_load wireless
include wifi
for device in $DEVICES; do (
- config_get type "$device" type
- eval "type setup_$type" 2>/dev/null >/dev/null && {
- eval "scan_$type '$device'"
- eval "setup_$type '$device'" && {
+ config_get iftype "$device" type
+ eval "type setup_$iftype" 2>/dev/null >/dev/null && {
+ eval "scan_$iftype '$device'"
+ eval "setup_$iftype '$device'" && {
# TODO: set up network settings
/bin/true
- } || echo "$device($type): Setup failed" || true
- } || echo "$device($type): Interface type not supported"
+ } || echo "$device($iftype): Setup failed" || true
+ } || echo "$device($iftype): Interface type not supported"
); done